#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1700six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 1700"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six17004xi



# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six17004xi = {
                1:'-1021x1215y-607z',
                2:'-1056x1161y-650z',
                3:'-1072x1318y-4z',
                4:'-1079x1156y-623z',
                5:'-1111x1100y-666z',
                6:'-1133x1093y-639z',
                7:'-1140x1260y-21z',
                8:'-1162x1035y-682z',
                9:'-117x648y-1567z',
                10:'-1184x1028y-655z',
                11:'-1204x1199y-38z',
                12:'-1209x969y-697z',
                13:'-1231x961y-670z',
                14:'-1253x900y-713z',
                15:'-1265x1134y-55z',
                16:'-1274x891y-686z',
                17:'-1292x829y-728z',
                18:'-1313x819y-701z',
                19:'-1322x1065y-72z',
                20:'-1327x757y-743z',
                21:'-1348x746y-717z',
                22:'-1358x683y-758z',
                23:'-1375x994y-89z',
                24:'-1385x608y-774z',
                25:'-1408x532y-789z',
                26:'-1424x920y-106z',
                27:'-1426x455y-804z',
                28:'-1440x377y-819z',
                29:'-1450x300y-834z',
                30:'-1454x68y-878z',
                31:'-1455x222y-848z',
                32:'-1457x145y-863z',
                33:'-1460x711y-775z',
                34:'-1470x844y-123z',
                35:'-147x626y-1573z',
                36:'-150x1207y-1186z',
                37:'-1511x765y-140z',
                38:'-1547x685y-157z',
                39:'-1580x602y-174z',
                40:'-1607x518y-191z',
                41:'-1630x433y-208z',
                42:'-1648x346y-225z',
                43:'-1662x259y-242z',
                44:'-1671x171y-258z',
                45:'-1675x84y-275z',
                46:'-175x602y-1579z',
                47:'-179x1627y-458z',
                48:'-201x577y-1586z',
                49:'-211x1186y-1199z',
                50:'-225x551y-1592z',
                51:'-233x7y-1683z',
                52:'-247x524y-1598z',
                53:'-249x20y-1681z',
                54:'-263x1611y-474z',
                55:'-265x36y-1678z',
                56:'-266x496y-1603z',
                57:'-270x1162y-1211z',
                58:'-279x53y-1676z',
                59:'-283x468y-1609z',
                60:'-285x1615y-446z',
                61:'-292x71y-1673z',
                62:'-299x439y-1614z',
                63:'-304x91y-1670z',
                64:'-311x410y-1620z',
                65:'-314x113y-1666z',
                66:'-322x381y-1625z',
                67:'-323x135y-1663z',
                68:'-327x1134y-1222z',
                69:'-330x351y-1629z',
                70:'-331x159y-1659z',
                71:'-336x184y-1656z',
                72:'-336x322y-1634z',
                73:'-340x210y-1652z',
                74:'-340x293y-1639z',
                75:'-342x237y-1647z',
                76:'-342x265y-1643z',
                77:'-346x1590y-490z',
                78:'-368x1593y-462z',
                79:'-382x1104y-1234z',
                80:'-428x1565y-506z',
                81:'-434x1071y-1246z',
                82:'-450x1567y-478z',
                83:'-484x1035y-1257z',
                84:'-507x1535y-523z',
                85:'-50x688y-1553z',
                86:'-530x1537y-495z',
                87:'-532x997y-1269z',
                88:'-577x957y-1280z',
                89:'-585x1502y-539z',
                90:'-608x1502y-511z',
                91:'-619x915y-1291z',
                92:'-658x871y-1302z',
                93:'-661x1464y-555z',
                94:'-683x1464y-527z',
                95:'-695x825y-1313z',
                96:'-728x778y-1324z',
                97:'-734x1422y-571z',
                98:'-756x1421y-543z',
                99:'-758x730y-1334z',
                100:'-785x680y-1345z',
                101:'-804x1377y-587z',
                102:'-809x630y-1355z',
                103:'-827x1375y-559z',
                104:'-830x579y-1365z',
                105:'-847x527y-1375z',
                106:'-84x669y-1560z',
                107:'-855x28y-1468z',
                108:'-862x476y-1385z',
                109:'-867x74y-1459z',
                110:'-872x1328y-603z',
                111:'-873x424y-1395z',
                112:'-877x121y-1451z',
                113:'-881x372y-1405z',
                114:'-883x170y-1442z',
                115:'-886x321y-1414z',
                116:'-887x219y-1433z',
                117:'-888x270y-1423z',
                118:'-895x1325y-575z',
                119:'-937x1275y-619z',
                120:'-959x1272y-591z',
                121:'-998x1220y-634z'}
       


#"
#/>



# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire1700six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire1700six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1700SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE1700SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1700SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1700SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1700SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six17004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1700SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1700SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1700SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six1700x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six1700x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1700SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE1700SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1700SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1700six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
